[arch-commits] Commit in dqlite/repos/community-x86_64 (PKGBUILD PKGBUILD)

Morten Linderud foxboron at archlinux.org
Sat Sep 19 15:36:52 UTC 2020


    Date: Saturday, September 19, 2020 @ 15:36:52
  Author: foxboron
Revision: 710878

archrelease: copy trunk to community-x86_64

Added:
  dqlite/repos/community-x86_64/PKGBUILD
    (from rev 710877, dqlite/trunk/PKGBUILD)
Deleted:
  dqlite/repos/community-x86_64/PKGBUILD

----------+
 PKGBUILD |   65 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 33 insertions(+), 32 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2020-09-19 15:36:44 UTC (rev 710877)
+++ PKGBUILD	2020-09-19 15:36:52 UTC (rev 710878)
@@ -1,32 +0,0 @@
-# Maintainer: Morten Linderud <foxboron at archlinux.org>
-# Contributor: Thomas Hipp <thomashipp at gmail dot com>
-
-pkgname=dqlite
-pkgver=1.6.0
-pkgrel=1
-pkgdesc="Distributed SQLite"
-arch=('x86_64')
-url="https://github.com/CanonicalLtd/dqlite"
-license=('LGPL3')
-depends=('libuv' 'raft' 'libco' 'sqlite-replication')
-makedepends=('tcl' 'readline' 'zlib')
-source=("$pkgname-$pkgver.tar.gz::https://github.com/canonical/${pkgname}/archive/v${pkgver}.tar.gz")
-sha256sums=('8671396a9510c7c125e706973a8ffb2e4540ac605f1f3e9720a63876448f5d93')
-
-build() {
-	cd "$pkgname-$pkgver"
-	autoreconf -i 
-	PKG_CONFIG_PATH="/usr/lib/sqlite-replication/pkgconfig" ./configure --prefix=/usr
-	make LDFLAGS="-Wl,-R/usr/lib/sqlite-replication"
-}
-
-check() {
-	cd "$pkgname-$pkgver"
-	make LDFLAGS="-Wl,-R/usr/lib/sqlite-replication" check || true
-}
-
-package() {
-	cd "$pkgname-$pkgver"
-	make DESTDIR="$pkgdir/" install
-	install -Dm644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
-}

Copied: dqlite/repos/community-x86_64/PKGBUILD (from rev 710877, dqlite/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2020-09-19 15:36:52 UTC (rev 710878)
@@ -0,0 +1,33 @@
+# Maintainer: Morten Linderud <foxboron at archlinux.org>
+# Contributor: Thomas Hipp <thomashipp at gmail dot com>
+
+pkgname=dqlite
+pkgver=1.6.0
+pkgrel=2
+pkgdesc="Distributed SQLite"
+arch=('x86_64')
+url="https://github.com/CanonicalLtd/dqlite"
+license=('LGPL3')
+depends=('libuv' 'raft')
+makedepends=('tcl' 'readline' 'zlib')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/canonical/${pkgname}/archive/v${pkgver}.tar.gz")
+sha256sums=('8671396a9510c7c125e706973a8ffb2e4540ac605f1f3e9720a63876448f5d93')
+
+build() {
+	cd "$pkgname-$pkgver"
+	autoreconf -i 
+	#PKG_CONFIG_PATH="/usr/lib/sqlite-replication/pkgconfig" ./configure --prefix=/usr
+	./configure --prefix=/usr
+	make
+}
+
+check() {
+	cd "$pkgname-$pkgver"
+	make check || true
+}
+
+package() {
+	cd "$pkgname-$pkgver"
+	make DESTDIR="$pkgdir/" install
+	install -Dm644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+}


More information about the arch-commits mailing list